////////////////////////////////////////////////////////////////////////////////
//
// The contents of this file are subject to the terms of the Common Development
// and Distribution License(the License).  You may not use this file except in
// compliance with the License.
//
// You may obtain a copy of the License from:
// http://www.opensource.org/licenses/cddl1.txt
// See the License for the specific language governing
// permissions and limitations under the License.
//
// Copyright (c) 2007, Java Spnego Development Team.
// (http://spnego.dev.java.net/servlets/ProjectMemberList) All Rights Reserved.
//
////////////////////////////////////////////////////////////////////////////////

package net.java.spnego.util;

/**
 * Created by dwhitla at Mar 29, 2007 6:18:17 PM
 *
 * @author <a href="mailto:dave.whitla@ocean.net.au">Dave Whitla</a>
 * @version $Id: StringUtil.java 0 Mar 29, 2007 6:18:17 PM dwhitla $
 */
public final class StringUtil {

    private StringUtil() {
        // no instances
    }

    /**
     * Convenience single-step utility method to test the emptiness of a String value.
     * A value is considered empty if it is either <code>null</code> or has zero-length contents
     * or consists entirely of white-space characters.
     *
     * @param value The String to be tested.
     * @return <code>true</code> if the supplied value is empty as defined above, or <code>false</code> otherwise.
     */
    public static boolean isEmpty(String value) {
        return value == null || value.trim().length() == 0;
    }
    
}
